org.vertx.java.core.eventbus.impl

## Interface SubsMap

All Known Implementing Classes:
  HazelcastSubsMap

    public interface SubsMap

### Method Summary

Methods
`void` `get(java.lang.String subName, AsyncResultHandler<ServerIDs> completionHandler)`
`void` `put(java.lang.String subName, ServerID serverID, AsyncResultHandler<java.lang.Void> completionHandler)`
`void` `remove(java.lang.String subName, ServerID serverID, AsyncResultHandler<java.lang.Boolean> completionHandler)`
`void` `removeAllForServerID(ServerID serverID, AsyncResultHandler<java.lang.Void> completionHandler)`

### Method Detail

#### put

    void put(java.lang.String subName,
           ServerID serverID,
           AsyncResultHandler<java.lang.Void> completionHandler)

#### get

    void get(java.lang.String subName,
           AsyncResultHandler<ServerIDs> completionHandler)

#### remove

    void remove(java.lang.String subName,
              ServerID serverID,
              AsyncResultHandler<java.lang.Boolean> completionHandler)

#### removeAllForServerID

    void removeAllForServerID(ServerID serverID,
                            AsyncResultHandler<java.lang.Void> completionHandler)